Subject: [bug#74389] services: add cloud-init service (for guix)

From: Alex <[email-masked]>
Date: Thu, 10 Apr 2025 01:20:01 +0000

Hi all:

Mine is usable as well, I've got an image built from a checkout I've used to stand up a vm on digitalocean. I took a quick look at that patch series and it looks like much more work was done on the configuration side and also there was some better understanding of resize partition functionality. I basically piggybacked off ubuntu's tools. My implementation's networking only worked on digitalocean when network-manager-service-type and wpa-supplicant-service-type were provided for some reason that I haven't debugged yet.

My work on this has stalled (been busy with day job), but I'm still going to need it by early 2026 when my current infrastructure expires, so would love to help get something into guix if possible.

Alex

-------- Original Message --------
On 4/8/25 7:05 PM, Andrew Tropin <[email-masked]> wrote:

>  On 2025-04-08 14:25, Steve George wrote:
>  
>  > Hi Alex/Ricardo,
>  >
>  > In 74389 you're discussing adding a cloud-init service. It might be
>  > worth noting that I think Andrew has something in RDE that might be
>  > reusable. Andrew, is it upstreamable?
>  
>  We have a partial implementation of cloud init, that covers basic needs,
>  but I would say the implementation is clean and complete:
>  
>  https://git.sr.ht/~abcdw/rde/tree/a4a8329c/src/rde/system/services/cloud-init.scm#L1
>  
>  -- 
>  Best regards,
>  Andrew Tropin
>